Index: ./graphics/gimp/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gimp/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./graphics/gimp/buildlink3.mk	5 Feb 2006 23:09:31 -0000	1.7
+++ ./graphics/gimp/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gimp
 
 .if !empty(GIMP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gimp+=	gimp>=2.2.9nb1
-BUILDLINK_RECOMMENDED.gimp?=	gimp>=2.2.10nb2
+BUILDLINK_API_DEPENDS.gimp+=	gimp>=2.2.9nb1
+BUILDLINK_ABI_DEPENDS.gimp?=	gimp>=2.2.10nb2
 BUILDLINK_PKGSRCDIR.gimp?=	../../graphics/gimp
 .endif	# GIMP_BUILDLINK3_MK
 
Index: ./graphics/gimp1-base/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gimp1-base/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./graphics/gimp1-base/buildlink3.mk	5 Feb 2006 23:09:31 -0000	1.5
+++ ./graphics/gimp1-base/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gimp-base
 
 .if !empty(GIMP_BASE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gimp-base+=	gimp-base>=1.2.5nb2
-BUILDLINK_RECOMMENDED.gimp-base+=	gimp-base>=1.2.5nb5
+BUILDLINK_API_DEPENDS.gimp-base+=	gimp-base>=1.2.5nb2
+BUILDLINK_ABI_DEPENDS.gimp-base+=	gimp-base>=1.2.5nb5
 BUILDLINK_PKGSRCDIR.gimp-base?=	../../graphics/gimp1-base
 .endif	# GIMP_BASE_BUILDLINK3_MK
 
Index: ./graphics/gimp24/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gimp24/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- ./graphics/gimp24/Makefile	6 Mar 2006 00:18:11 -0000	1.14
+++ ./graphics/gimp24/Makefile	4 Apr 2006 06:26:53 -0000
@@ -32,8 +32,8 @@
 .include "../../mk/bsd.prefs.mk"
 
 USE_BUILTIN.fontconfig=		no
-BUILDLINK_DEPENDS.fontconfig+=	fontconfig>=2.2.0
-BUILDLINK_DEPENDS.lcms+=	lcms>=1.12
+BUILDLINK_API_DEPENDS.fontconfig+=	fontconfig>=2.2.0
+BUILDLINK_API_DEPENDS.lcms+=	lcms>=1.12
 
 GNU_CONFIGURE=		yes
 CONFIGURE_ARGS+=	--disable-perl
Index: ./graphics/gimp24/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gimp24/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./graphics/gimp24/buildlink3.mk	6 Mar 2006 00:18:11 -0000	1.7
+++ ./graphics/gimp24/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gimp
 
 .if !empty(GIMP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gimp+=	gimp>=2.3.4nb1
-BUILDLINK_RECOMMENDED.gimp?=	gimp>=2.3.7nb1
+BUILDLINK_API_DEPENDS.gimp+=	gimp>=2.3.4nb1
+BUILDLINK_ABI_DEPENDS.gimp?=	gimp>=2.3.7nb1
 BUILDLINK_PKGSRCDIR.gimp?=	../../graphics/gimp24
 .endif	# GIMP_BUILDLINK3_MK
 
Index: ./graphics/glitz/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/glitz/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./graphics/glitz/buildlink3.mk	5 Feb 2006 23:09:31 -0000	1.6
+++ ./graphics/glitz/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	glitz
 
 .if !empty(GLITZ_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.glitz+=	glitz>=0.4.4
-BUILDLINK_RECOMMENDED.glitz+=	glitz>=0.4.4nb2
+BUILDLINK_API_DEPENDS.glitz+=	glitz>=0.4.4
+BUILDLINK_ABI_DEPENDS.glitz+=	glitz>=0.4.4nb2
 BUILDLINK_PKGSRCDIR.glitz?=	../../graphics/glitz
 .endif	# GLITZ_BUILDLINK3_MK
 
Index: ./graphics/glu/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/glu/Makefile,v
retrieving revision 1.44
diff -u -r1.44 Makefile
--- ./graphics/glu/Makefile	9 Feb 2006 12:27:42 -0000	1.44
+++ ./graphics/glu/Makefile	4 Apr 2006 06:26:53 -0000
@@ -12,7 +12,7 @@
 
 INSTLIBS=	${WRKSRC}/src/glu/sgi/libGLU.la
 
-BUILDLINK_DEPENDS.MesaLib+=	MesaLib>=${MESA_VERSION}
+BUILDLINK_API_DEPENDS.MesaLib+=	MesaLib>=${MESA_VERSION}
 .include "../../graphics/MesaLib/buildlink3.mk"
 
 pre-build:
Index: ./graphics/glu/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/glu/buildlink3.mk,v
retrieving revision 1.28
diff -u -r1.28 buildlink3.mk
--- ./graphics/glu/buildlink3.mk	5 Feb 2006 23:09:32 -0000	1.28
+++ ./graphics/glu/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	glu
 
 .if !empty(GLU_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.glu+=		glu>=3.4.2
-BUILDLINK_RECOMMENDED.glu+=	glu>=6.4.1nb1
+BUILDLINK_API_DEPENDS.glu+=		glu>=3.4.2
+BUILDLINK_ABI_DEPENDS.glu+=	glu>=6.4.1nb1
 BUILDLINK_PKGSRCDIR.glu?=	../../graphics/glu
 .endif	# GLU_BUILDLINK3_MK
 
Index: ./graphics/glu/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/glu/builtin.mk,v
retrieving revision 1.9
diff -u -r1.9 builtin.mk
--- ./graphics/glu/builtin.mk	19 Jan 2006 12:53:17 -0000	1.9
+++ ./graphics/glu/builtin.mk	4 Apr 2006 06:26:53 -0000
@@ -45,7 +45,7 @@
 .    if defined(BUILTIN_PKG.glu) && \
         !empty(IS_BUILTIN.glu:M[yY][eE][sS])
 USE_BUILTIN.glu=	yes
-.      for dep in ${BUILDLINK_DEPENDS.glu}
+.      for dep in ${BUILDLINK_API_DEPENDS.glu}
 .        if !empty(USE_BUILTIN.glu:M[yY][eE][sS])
 USE_BUILTIN.glu!=							\
 	if ${PKG_ADMIN} pmatch ${dep:Q} ${BUILTIN_PKG.glu:Q}; then	\
@@ -68,7 +68,7 @@
 .if !empty(CHECK_BUILTIN.glu:M[nN][oO])
 
 .  if !empty(USE_BUILTIN.glu:M[nN][oO])
-BUILDLINK_DEPENDS.glu+=	glu>=6.0
+BUILDLINK_API_DEPENDS.glu+=	glu>=6.0
 .  endif
 
 .  if !empty(USE_BUILTIN.glu:M[yY][eE][sS])
Index: ./graphics/glut/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/glut/Makefile,v
retrieving revision 1.43
diff -u -r1.43 Makefile
--- ./graphics/glut/Makefile	9 Feb 2006 12:27:42 -0000	1.43
+++ ./graphics/glut/Makefile	4 Apr 2006 06:26:53 -0000
@@ -8,8 +8,8 @@
 
 .include "../../graphics/Mesa/Makefile.common"
 
-BUILDLINK_DEPENDS.MesaLib+=	MesaLib>=${MESA_VERSION}
-BUILDLINK_DEPENDS.glu+=		glu>=${MESA_VERSION}
+BUILDLINK_API_DEPENDS.MesaLib+=	MesaLib>=${MESA_VERSION}
+BUILDLINK_API_DEPENDS.glu+=		glu>=${MESA_VERSION}
 
 INSTLIBS=	${WRKSRC}/src/glut/glx/libglut.la
 
Index: ./graphics/glut/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/glut/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./graphics/glut/buildlink3.mk	5 Feb 2006 23:09:32 -0000	1.10
+++ ./graphics/glut/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	glut
 
 .if !empty(GLUT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.glut+=	glut>=3.4.2
-BUILDLINK_RECOMMENDED.glut+=	glut>=6.4.1nb1
+BUILDLINK_API_DEPENDS.glut+=	glut>=3.4.2
+BUILDLINK_ABI_DEPENDS.glut+=	glut>=6.4.1nb1
 BUILDLINK_PKGSRCDIR.glut?=	../../graphics/glut
 .endif	# GLUT_BUILDLINK3_MK
 
Index: ./graphics/gnome-icon-theme/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gnome-icon-theme/Makefile,v
retrieving revision 1.34
diff -u -r1.34 Makefile
--- ./graphics/gnome-icon-theme/Makefile	4 Mar 2006 21:29:48 -0000	1.34
+++ ./graphics/gnome-icon-theme/Makefile	4 Apr 2006 06:26:53 -0000
@@ -19,7 +19,7 @@
 
 PKGCONFIG_OVERRIDE=	gnome-icon-theme.pc.in
 
-BUILDLINK_DEPENDS.hicolor-icon-theme+=	hicolor-icon-theme>=0.5
+BUILDLINK_API_DEPENDS.hicolor-icon-theme+=	hicolor-icon-theme>=0.5
 
 .include "../../devel/gettext-lib/buildlink3.mk"
 .include "../../graphics/hicolor-icon-theme/buildlink3.mk"
Index: ./graphics/gnome-icon-theme/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gnome-icon-theme/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./graphics/gnome-icon-theme/buildlink3.mk	5 Feb 2006 23:09:32 -0000	1.7
+++ ./graphics/gnome-icon-theme/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome-icon-theme
 
 .if !empty(GNOME_ICON_THEME_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome-icon-theme+=	gnome-icon-theme>=2.8.0
-BUILDLINK_RECOMMENDED.gnome-icon-theme?=	gnome-icon-theme>=2.12.1nb2
+BUILDLINK_API_DEPENDS.gnome-icon-theme+=	gnome-icon-theme>=2.8.0
+BUILDLINK_ABI_DEPENDS.gnome-icon-theme?=	gnome-icon-theme>=2.12.1nb2
 BUILDLINK_PKGSRCDIR.gnome-icon-theme?=	../../graphics/gnome-icon-theme
 
 # intltool-{extract,merge,update} are Perl scripts included in the sources
Index: ./graphics/graphviz/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/graphviz/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./graphics/graphviz/buildlink3.mk	5 Feb 2006 23:09:32 -0000	1.6
+++ ./graphics/graphviz/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	graphviz
 
 .if !empty(GRAPHVIZ_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.graphviz+=	graphviz>=1.12
-BUILDLINK_RECOMMENDED.graphviz+=	graphviz>=2.6nb3
+BUILDLINK_API_DEPENDS.graphviz+=	graphviz>=1.12
+BUILDLINK_ABI_DEPENDS.graphviz+=	graphviz>=2.6nb3
 BUILDLINK_PKGSRCDIR.graphviz?=	../../graphics/graphviz
 .endif	# GRAPHVIZ_BUILDLINK3_MK
 
Index: ./graphics/gst-plugins0.8-opengl/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gst-plugins0.8-opengl/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- ./graphics/gst-plugins0.8-opengl/Makefile	21 Mar 2006 06:00:46 -0000	1.5
+++ ./graphics/gst-plugins0.8-opengl/Makefile	4 Apr 2006 06:26:53 -0000
@@ -7,7 +7,7 @@
 .include "../../multimedia/gst-plugins0.8/Makefile.common"
 PKGREVISION=	4
 
-BUILDLINK_DEPENDS.gst-plugins0.8+=	gst-plugins0.8>=0.8.7nb1
+BUILDLINK_API_DEPENDS.gst-plugins0.8+=	gst-plugins0.8>=0.8.7nb1
 
 .include "../../graphics/MesaLib/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./graphics/gst-plugins0.8-png/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gst-plugins0.8-png/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- ./graphics/gst-plugins0.8-png/Makefile	21 Mar 2006 06:00:46 -0000	1.5
+++ ./graphics/gst-plugins0.8-png/Makefile	4 Apr 2006 06:26:53 -0000
@@ -8,7 +8,7 @@
 .include "../../multimedia/gst-plugins0.8/Makefile.common"
 PKGREVISION=	4
 
-BUILDLINK_DEPENDS.png+=	png>=1.2.5nb3	# requires libpng12.pc
+BUILDLINK_API_DEPENDS.png+=	png>=1.2.5nb3	# requires libpng12.pc
 
 .include "../../graphics/png/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./graphics/gthumb/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gthumb/Makefile,v
retrieving revision 1.19
diff -u -r1.19 Makefile
--- ./graphics/gthumb/Makefile	21 Mar 2006 06:00:46 -0000	1.19
+++ ./graphics/gthumb/Makefile	4 Apr 2006 06:26:53 -0000
@@ -16,7 +16,7 @@
 GNU_CONFIGURE=		yes
 
 GCONF2_SCHEMAS+=	gthumb.schemas
-BUILDLINK_DEPENDS.libglade2+=   libglade2>=2.4.0
+BUILDLINK_API_DEPENDS.libglade2+=   libglade2>=2.4.0
 
 .include "../../devel/GConf2/schemas.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"
Index: ./graphics/gtkglext/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/gtkglext/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./graphics/gtkglext/buildlink3.mk	13 Feb 2006 21:11:13 -0000	1.9
+++ ./graphics/gtkglext/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	gtkglext
 
 .if !empty(GTKGLEXT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtkglext+=	gtkglext>=1.2.0
+BUILDLINK_API_DEPENDS.gtkglext+=	gtkglext>=1.2.0
 BUILDLINK_PKGSRCDIR.gtkglext?=	../../graphics/gtkglext
 .endif	# GTKGLEXT_BUILDLINK3_MK
 
Index: ./graphics/hermes/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/hermes/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/hermes/buildlink3.mk	5 Feb 2006 23:09:33 -0000	1.4
+++ ./graphics/hermes/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	Hermes
 
 .if !empty(HERMES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.Hermes+=	Hermes>=1.3.2
-BUILDLINK_RECOMMENDED.Hermes+=	Hermes>=1.3.3nb2
+BUILDLINK_API_DEPENDS.Hermes+=	Hermes>=1.3.2
+BUILDLINK_ABI_DEPENDS.Hermes+=	Hermes>=1.3.3nb2
 BUILDLINK_PKGSRCDIR.Hermes?=	../../graphics/hermes
 .endif	# HERMES_BUILDLINK3_MK
 
Index: ./graphics/hicolor-icon-theme/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/hicolor-icon-theme/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./graphics/hicolor-icon-theme/buildlink3.mk	5 Feb 2006 23:09:33 -0000	1.3
+++ ./graphics/hicolor-icon-theme/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	hicolor-icon-theme
 
 .if !empty(HICOLOR_ICON_THEME_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.hicolor-icon-theme+=	hicolor-icon-theme>=0.4
-BUILDLINK_RECOMMENDED.hicolor-icon-theme+=	hicolor-icon-theme>=0.5nb1
+BUILDLINK_API_DEPENDS.hicolor-icon-theme+=	hicolor-icon-theme>=0.4
+BUILDLINK_ABI_DEPENDS.hicolor-icon-theme+=	hicolor-icon-theme>=0.5nb1
 BUILDLINK_PKGSRCDIR.hicolor-icon-theme?=../../graphics/hicolor-icon-theme
 
 .include "../../mk/bsd.prefs.mk"
Index: ./graphics/imlib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/imlib/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./graphics/imlib/buildlink3.mk	5 Feb 2006 23:09:33 -0000	1.8
+++ ./graphics/imlib/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	imlib
 
 .if !empty(IMLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.imlib+=	imlib>=1.9.14nb5
-BUILDLINK_RECOMMENDED.imlib+=	imlib>=1.9.15nb3
+BUILDLINK_API_DEPENDS.imlib+=	imlib>=1.9.14nb5
+BUILDLINK_ABI_DEPENDS.imlib+=	imlib>=1.9.15nb3
 BUILDLINK_PKGSRCDIR.imlib?=	../../graphics/imlib
 .endif	# IMLIB_BUILDLINK3_MK
 
Index: ./graphics/imlib2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/imlib2/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./graphics/imlib2/buildlink3.mk	5 Feb 2006 23:09:33 -0000	1.11
+++ ./graphics/imlib2/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	imlib2
 
 .if !empty(IMLIB2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.imlib2+=	imlib2>=1.1.0nb2
-BUILDLINK_RECOMMENDED.imlib2+=	imlib2>=1.2.0nb4
+BUILDLINK_API_DEPENDS.imlib2+=	imlib2>=1.1.0nb2
+BUILDLINK_ABI_DEPENDS.imlib2+=	imlib2>=1.2.0nb4
 BUILDLINK_PKGSRCDIR.imlib2?=	../../graphics/imlib2
 .endif	# IMLIB2_BUILDLINK3_MK
 
Index: ./graphics/inkscape/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/inkscape/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- ./graphics/inkscape/Makefile	6 Mar 2006 18:50:21 -0000	1.20
+++ ./graphics/inkscape/Makefile	4 Apr 2006 06:26:53 -0000
@@ -23,7 +23,7 @@
 GNU_CONFIGURE=		yes
 BUILD_USES_MSGFMT=	yes
 
-BUILDLINK_DEPENDS.boehm-gc+=	boehm-gc>=6.4
+BUILDLINK_API_DEPENDS.boehm-gc+=	boehm-gc>=6.4
 
 .include "../../devel/boehm-gc/buildlink3.mk"
 .include "../../devel/pango/buildlink3.mk"
Index: ./graphics/jasper/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/jasper/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./graphics/jasper/buildlink3.mk	5 Feb 2006 23:09:34 -0000	1.5
+++ ./graphics/jasper/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	jasper
 
 .if !empty(JASPER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.jasper+=	jasper>=1.600.0
-BUILDLINK_RECOMMENDED.jasper+=	jasper>=1.701.0nb2
+BUILDLINK_API_DEPENDS.jasper+=	jasper>=1.600.0
+BUILDLINK_ABI_DEPENDS.jasper+=	jasper>=1.701.0nb2
 BUILDLINK_PKGSRCDIR.jasper?=	../../graphics/jasper
 .endif	# JASPER_BUILDLINK3_MK
 
Index: ./graphics/jpeg/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/jpeg/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./graphics/jpeg/buildlink3.mk	3 Oct 2004 00:14:54 -0000	1.6
+++ ./graphics/jpeg/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	jpeg
 
 .if !empty(JPEG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.jpeg+=	jpeg>=6b
-BUILDLINK_RECOMMENDED.jpeg+=	jpeg>=6bnb2
+BUILDLINK_API_DEPENDS.jpeg+=	jpeg>=6b
+BUILDLINK_ABI_DEPENDS.jpeg+=	jpeg>=6bnb2
 BUILDLINK_PKGSRCDIR.jpeg?=	../../graphics/jpeg
 .endif	# JPEG_BUILDLINK3_MK
 
Index: ./graphics/kbarcode/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/kbarcode/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- ./graphics/kbarcode/Makefile	4 Mar 2006 21:29:49 -0000	1.12
+++ ./graphics/kbarcode/Makefile	4 Apr 2006 06:26:53 -0000
@@ -18,7 +18,7 @@
 DEPENDS+=	barcode-[0-9]*:../../graphics/barcode
 
 # Works only with KDE 3.3.x
-BUILDLINK_DEPENDS.kdelibs+=	kdelibs>=3.3.0
+BUILDLINK_API_DEPENDS.kdelibs+=	kdelibs>=3.3.0
 
 .include "../../meta-pkgs/kde3/kde3.mk"
 .include "../../x11/kdelibs3/buildlink3.mk"
Index: ./graphics/kdegraphics3/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/kdegraphics3/Makefile,v
retrieving revision 1.63
diff -u -r1.63 Makefile
--- ./graphics/kdegraphics3/Makefile	30 Mar 2006 03:02:01 -0000	1.63
+++ ./graphics/kdegraphics3/Makefile	4 Apr 2006 06:26:53 -0000
@@ -9,7 +9,7 @@
 USE_DIRS+=		xdg-1.1
 USE_TOOLS+=		gs:run pkg-config
 
-BUILDLINK_DEPENDS.lcms+=	lcms>=1.12
+BUILDLINK_API_DEPENDS.lcms+=	lcms>=1.12
 
 REPLACE_PERL+=	kghostview/update-to-xt-names.pl
 
Index: ./graphics/kdegraphics3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/kdegraphics3/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./graphics/kdegraphics3/buildlink3.mk	5 Feb 2006 23:09:34 -0000	1.8
+++ ./graphics/kdegraphics3/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	kdegraphics
 
 .if !empty(KDEGRAPHICS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.kdegraphics+=	kdegraphics>=3.5.0nb2
-BUILDLINK_RECOMMENDED.kdegraphics?=	kdegraphics>=3.5.1nb2
+BUILDLINK_API_DEPENDS.kdegraphics+=	kdegraphics>=3.5.0nb2
+BUILDLINK_ABI_DEPENDS.kdegraphics?=	kdegraphics>=3.5.1nb2
 BUILDLINK_PKGSRCDIR.kdegraphics?=	../../graphics/kdegraphics3
 .endif	# KDEGRAPHICS_BUILDLINK3_MK
 
Index: ./graphics/lcms/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/lcms/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./graphics/lcms/buildlink3.mk	3 Oct 2004 00:14:54 -0000	1.6
+++ ./graphics/lcms/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	lcms
 
 .if !empty(LCMS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.lcms+=	lcms>=1.06
-BUILDLINK_RECOMMENDED.lcms+=	lcms>=1.12nb2
+BUILDLINK_API_DEPENDS.lcms+=	lcms>=1.06
+BUILDLINK_ABI_DEPENDS.lcms+=	lcms>=1.12nb2
 BUILDLINK_PKGSRCDIR.lcms?=	../../graphics/lcms
 
 BUILDLINK_TARGETS+=	buildlink-include-lcms
Index: ./graphics/lib3ds/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/lib3ds/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./graphics/lib3ds/buildlink3.mk	5 Feb 2006 23:09:34 -0000	1.2
+++ ./graphics/lib3ds/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	lib3ds
 
 .if !empty(LIB3DS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.lib3ds+=	lib3ds>=1.2.0nb2
-BUILDLINK_RECOMMENDED.lib3ds?=	lib3ds>=1.2.0nb4
+BUILDLINK_API_DEPENDS.lib3ds+=	lib3ds>=1.2.0nb2
+BUILDLINK_ABI_DEPENDS.lib3ds?=	lib3ds>=1.2.0nb4
 BUILDLINK_PKGSRCDIR.lib3ds?=	../../graphics/lib3ds
 .endif	# LIB3DS_BUILDLINK3_MK
 
Index: ./graphics/libart2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libart2/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./graphics/libart2/buildlink3.mk	3 Oct 2004 00:14:55 -0000	1.3
+++ ./graphics/libart2/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libart2
 
 .if !empty(LIBART2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libart2+=	libart2>=2.3.10nb1
-BUILDLINK_RECOMMENDED.libart2+=	libart2>=2.3.16nb1
+BUILDLINK_API_DEPENDS.libart2+=	libart2>=2.3.10nb1
+BUILDLINK_ABI_DEPENDS.libart2+=	libart2>=2.3.16nb1
 BUILDLINK_PKGSRCDIR.libart2?=	../../graphics/libart2
 .endif	# LIBART2_BUILDLINK3_MK
 
Index: ./graphics/libexif/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libexif/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./graphics/libexif/buildlink3.mk	5 Feb 2006 23:09:34 -0000	1.9
+++ ./graphics/libexif/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libexif
 
 .if !empty(LIBEXIF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libexif+=	libexif>=0.6.11
-BUILDLINK_RECOMMENDED.libexif+=	libexif>=0.6.13nb1
+BUILDLINK_API_DEPENDS.libexif+=	libexif>=0.6.11
+BUILDLINK_ABI_DEPENDS.libexif+=	libexif>=0.6.13nb1
 BUILDLINK_PKGSRCDIR.libexif?=	../../graphics/libexif
 .endif	# LIBEXIF_BUILDLINK3_MK
 
Index: ./graphics/libexif-gtk/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libexif-gtk/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/libexif-gtk/buildlink3.mk	5 Feb 2006 23:09:34 -0000	1.4
+++ ./graphics/libexif-gtk/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	libexif-gtk
 
 .if !empty(LIBEXIF_GTK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libexif-gtk+=	libexif-gtk>=0.3.3nb7
-BUILDLINK_RECOMMENDED.libexif-gtk+=	libexif-gtk>=0.3.5nb3
+BUILDLINK_API_DEPENDS.libexif-gtk+=	libexif-gtk>=0.3.3nb7
+BUILDLINK_ABI_DEPENDS.libexif-gtk+=	libexif-gtk>=0.3.5nb3
 BUILDLINK_PKGSRCDIR.libexif-gtk?=	../../graphics/libexif-gtk
 .endif	# LIBEXIF_GTK_BUILDLINK3_MK
 
Index: ./graphics/libgdgeda/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libgdgeda/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./graphics/libgdgeda/buildlink3.mk	3 Oct 2004 00:14:55 -0000	1.4
+++ ./graphics/libgdgeda/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgdgeda
 
 .if !empty(LIBGDGEDA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgdgeda+=	libgdgeda>=2.0.15
-BUILDLINK_RECOMMENDED.libgdgeda+=	libgdgeda>=2.0.15nb2
+BUILDLINK_API_DEPENDS.libgdgeda+=	libgdgeda>=2.0.15
+BUILDLINK_ABI_DEPENDS.libgdgeda+=	libgdgeda>=2.0.15nb2
 BUILDLINK_PKGSRCDIR.libgdgeda?=	../../graphics/libgdgeda
 .endif	# LIBGDGEDA_BUILDLINK3_MK
 
Index: ./graphics/libgdiplus/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libgdiplus/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- ./graphics/libgdiplus/Makefile	5 Feb 2006 23:09:34 -0000	1.25
+++ ./graphics/libgdiplus/Makefile	4 Apr 2006 06:26:53 -0000
@@ -17,9 +17,9 @@
 PKGCONFIG_OVERRIDE+=	cairo/cairo.pc.in
 GNU_CONFIGURE=		yes
 
-BUILDLINK_DEPENDS.freetype2+=	freetype2>=2.1.5
-BUILDLINK_DEPENDS.Xft2+=	Xft2>=2.1.2
-BUILDLINK_DEPENDS.Xrender+=	Xrender>=0.8
+BUILDLINK_API_DEPENDS.freetype2+=	freetype2>=2.1.5
+BUILDLINK_API_DEPENDS.Xft2+=	Xft2>=2.1.2
+BUILDLINK_API_DEPENDS.Xrender+=	Xrender>=0.8
 
 BUILDLINK_TRANSFORM+=		rm:-Werror
 
Index: ./graphics/libgdiplus/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libgdiplus/buildlink3.mk,v
retrieving revision 1.16
diff -u -r1.16 buildlink3.mk
--- ./graphics/libgdiplus/buildlink3.mk	5 Feb 2006 23:09:34 -0000	1.16
+++ ./graphics/libgdiplus/buildlink3.mk	4 Apr 2006 06:26:53 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgdiplus
 
 .if !empty(LIBGDIPLUS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgdiplus+=	libgdiplus>=1.1.11
-BUILDLINK_RECOMMENDED.libgdiplus?=	libgdiplus>=1.1.11nb2
+BUILDLINK_API_DEPENDS.libgdiplus+=	libgdiplus>=1.1.11
+BUILDLINK_ABI_DEPENDS.libgdiplus?=	libgdiplus>=1.1.11nb2
 BUILDLINK_PKGSRCDIR.libgdiplus?=	../../graphics/libgdiplus
 .endif	# LIBGDIPLUS_BUILDLINK3_MK
 
Index: ./graphics/libggi/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libggi/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./graphics/libggi/buildlink3.mk	5 Feb 2006 23:09:34 -0000	1.6
+++ ./graphics/libggi/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libggi
 
 .if !empty(LIBGGI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libggi+=	libggi>=2.1.0
-BUILDLINK_RECOMMENDED.libggi?=	libggi>=2.1.1nb1
+BUILDLINK_API_DEPENDS.libggi+=	libggi>=2.1.0
+BUILDLINK_ABI_DEPENDS.libggi?=	libggi>=2.1.1nb1
 BUILDLINK_PKGSRCDIR.libggi?=	../../graphics/libggi
 .endif	# LIBGGI_BUILDLINK3_MK
 
Index: ./graphics/libggiwmh/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libggiwmh/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./graphics/libggiwmh/buildlink3.mk	5 Feb 2006 23:09:34 -0000	1.2
+++ ./graphics/libggiwmh/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libggiwmh
 
 .if !empty(LIBGGIWMH_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libggiwmh+=	libggiwmh>=0.2.0
-BUILDLINK_RECOMMENDED.libggiwmh?=	libggiwmh>=0.2.1nb1
+BUILDLINK_API_DEPENDS.libggiwmh+=	libggiwmh>=0.2.0
+BUILDLINK_ABI_DEPENDS.libggiwmh?=	libggiwmh>=0.2.1nb1
 BUILDLINK_PKGSRCDIR.libggiwmh?=	../../graphics/libggiwmh
 .endif	# LIBGGIWMH_BUILDLINK3_MK
 
Index: ./graphics/libgii/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libgii/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./graphics/libgii/buildlink3.mk	5 Feb 2006 23:09:35 -0000	1.5
+++ ./graphics/libgii/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgii
 
 .if !empty(LIBGII_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgii+=	libgii>=0.9.0
-BUILDLINK_RECOMMENDED.libgii?=	libgii>=0.9.1nb1
+BUILDLINK_API_DEPENDS.libgii+=	libgii>=0.9.0
+BUILDLINK_ABI_DEPENDS.libgii?=	libgii>=0.9.1nb1
 BUILDLINK_PKGSRCDIR.libgii?=	../../graphics/libgii
 .endif	# LIBGII_BUILDLINK3_MK
 
Index: ./graphics/libgnomecanvas/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libgnomecanvas/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./graphics/libgnomecanvas/buildlink3.mk	5 Feb 2006 23:09:35 -0000	1.8
+++ ./graphics/libgnomecanvas/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgnomecanvas
 
 .if !empty(LIBGNOMECANVAS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgnomecanvas+=	libgnomecanvas>=2.8.0
-BUILDLINK_RECOMMENDED.libgnomecanvas+=	libgnomecanvas>=2.12.0nb2
+BUILDLINK_API_DEPENDS.libgnomecanvas+=	libgnomecanvas>=2.8.0
+BUILDLINK_ABI_DEPENDS.libgnomecanvas+=	libgnomecanvas>=2.12.0nb2
 BUILDLINK_PKGSRCDIR.libgnomecanvas?=	../../graphics/libgnomecanvas
 .endif	# LIBGNOMECANVAS_BUILDLINK3_MK
 
Index: ./graphics/libgnomecanvasmm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libgnomecanvasmm/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./graphics/libgnomecanvasmm/buildlink3.mk	5 Feb 2006 23:09:35 -0000	1.3
+++ ./graphics/libgnomecanvasmm/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgnomecanvasmm
 
 .if !empty(LIBGNOMECANVASMM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgnomecanvasmm+=	libgnomecanvasmm>=2.10.0
-BUILDLINK_RECOMMENDED.libgnomecanvasmm?=	libgnomecanvasmm>=2.12.0nb2
+BUILDLINK_API_DEPENDS.libgnomecanvasmm+=	libgnomecanvasmm>=2.10.0
+BUILDLINK_ABI_DEPENDS.libgnomecanvasmm?=	libgnomecanvasmm>=2.12.0nb2
 BUILDLINK_PKGSRCDIR.libgnomecanvasmm?=	../../graphics/libgnomecanvasmm
 .endif	# LIBGNOMECANVASMM_BUILDLINK3_MK
 
Index: ./graphics/libkipi/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libkipi/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./graphics/libkipi/buildlink3.mk	5 Feb 2006 23:09:35 -0000	1.3
+++ ./graphics/libkipi/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libkipi
 
 .if !empty(LIBKIPI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libkipi+=	libkipi>=0.1
-BUILDLINK_RECOMMENDED.libkipi?=	libkipi>=0.1.2nb2
+BUILDLINK_API_DEPENDS.libkipi+=	libkipi>=0.1
+BUILDLINK_ABI_DEPENDS.libkipi?=	libkipi>=0.1.2nb2
 BUILDLINK_PKGSRCDIR.libkipi?=	../../graphics/libkipi
 
 .  for dir in share/kde/apps/kipi/data share/kde/apps/kipi
Index: ./graphics/libkexif/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libkexif/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./graphics/libkexif/buildlink3.mk	5 Feb 2006 23:09:35 -0000	1.3
+++ ./graphics/libkexif/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libkexif
 
 .if !empty(LIBKEXIF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libkexif+=	libkexif>=0.2.1
-BUILDLINK_RECOMMENDED.libkexif?=	libkexif>=0.2.2nb2
+BUILDLINK_API_DEPENDS.libkexif+=	libkexif>=0.2.1
+BUILDLINK_ABI_DEPENDS.libkexif?=	libkexif>=0.2.2nb2
 BUILDLINK_PKGSRCDIR.libkexif?=	../../graphics/libkexif
 .endif	# LIBKEXIF_BUILDLINK3_MK
 
Index: ./graphics/libpixman/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/libpixman/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./graphics/libpixman/buildlink3.mk	27 Mar 2005 12:28:08 -0000	1.6
+++ ./graphics/libpixman/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libpixman
 
 .if !empty(LIBPIXMAN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libpixman+=	libpixman>=0.1.4
+BUILDLINK_API_DEPENDS.libpixman+=	libpixman>=0.1.4
 BUILDLINK_PKGSRCDIR.libpixman?=	../../graphics/libpixman
 .endif	# LIBPIXMAN_BUILDLINK3_MK
 
Index: ./graphics/librsvg/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/graphics/librsvg/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./graphics/librsvg/buildlink3.mk	5 Feb 2006 23:09:35 -0000	1.3
+++ ./graphics/librsvg/buildlink3.mk	4 Apr 2006 06:26:54 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	librsvg
 
 .if !empty(LIBRSVG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.librsvg+=	librsvg>=1.0.1nb5
-BUILDLINK_RECOMMENDED.librsvg+=	librsvg>=1.0.3nb1
+BUILDLINK_API_DEPENDS.librsvg+=	librsvg>=1.0.1nb5
+BUILDLINK_ABI_DEPENDS.librsvg+=	librsvg>=1.0.3nb1
 BUILDLINK_PKGSRCDIR.librsvg?=	../../graphics/librsvg
 .endif	# LIBRSVG_BUILDLINK3_MK
 
